<?php

  // Rootverzeichnis ausgehend von dieser Datei. Es ist nicht mglich aus dem
  // Script spter in eine hhere Ebene zu wechseln.
  //
  // HINWEIS: Den Pfad ohne abschlieendes / angeben
  $root_dir = '../testroot';

  // Sollte bei dem ffnen einer Datei aus pWebFTP heraus eine Fehlerseite
  // erscheinen, so mssen Sie hier die URL zum Rootverzeichnis angeben, von
  // aus dies im Browser erreicht wird. Das ist bspw. der Fall, wenn das Script
  // ber eine Subdomain aufgerufen wird und das angegebene Root verzeichnis in
  // einer hheren Ebene liegt als das zugewiesenen Verzeichnis der Subdomain.
  //
  // HINWEIS: Falls gesetzt, die Url mit einem / abschlieen.
  //          Bspw. http://pr0g.net/
  $html_host = '';

  // Wenn Sie beim Verschieben von Dateien den Zielordner aus einer Baum-
  // struktur auswhlen wollen, so setzen Sie diese Einstellung auf "true".
  // Soll stattdessen nur ein Eingabfeld zur dirketen Angabe eines Pfads
  // angezeigt werden, so setzen Sie die Einstellung auf "false".
  $move_tree = true;
  
  // Im Fehlerfall wird eine Meldung ber die nicht erfolgte Aktion ausgegeben
  // und nach der hier angegebenen Zeit zum Index zurck gekehrt. Die Zeit wird
  // in Sekunden angegeben.
  $error_display_time = 5;
  
  // Wenn beim ffnen einer Datei (Klick auf Dateiname) oder Anzeigen der
  // Codeansicht statt eines normalen, neuen Fensters ein kleines Popup
  // angezeigt werden soll, dan setzen Sie die Einstellung auf "true", sonst
  // auf "false". Fr das Popup muss JavaScript in Ihrem Browser aktiviert
  // sein.
  $open_popup = true;
  
  // Haben Sie die Popup-Einstellung auf "true" gesetzt, also aktiviert, so
  // knnen Sie hier die Breite (width) und Hhe (height) des Popups setzen.
  $popup_width = '550';
  $popup_height = '600';
  
  // Falls nach dem Anlegen eines Ordners Fehler auftreten, liegt dies meist an
  // einem falsch konfigurierten safe_mode des Servers. Wenn Sie Zugriff auf
  // die php.ini haben, so deaktivieren sie den safe_mode, oder setzen Sie die
  // folgende Zeile auf true: $use_ftp = true;
  $use_ftp = false;
  
  // Die folgenden FTP Daten mssen nur angegeben werden, wenn Sie den FTP
  // Modus aktiviert haben
  $ftp_hostserver = '';
  $ftp_username = '';
  $ftp_password = '';
  // FTP Pfad zum Rootverzeichnis, welches Sie oben in $root_dir angegeben
  // haben. Bitte mit einem / beginnen und enden. Bspw. /www/upload/
  $ftp_rootdir = '';

  // Geben Sie hier Datei- und Ordnernamen an, die im Readonly Modus angezeigt
  // werden sollen. Dies bedeutet, dass sich die Dateien nur ansehen lassen,
  // nicht aber bearbeiten, umbennen, verschieben oder lschen. Dies gilt fr
  // alle Dateien und Ordner, welche einen in dieser Liste aufgefhrten Namen
  // haben.
  //
  // HINWEIS: Dieser Schutz verhindert nur das versehentliche ndern der
  //          Dateien und Ordner und kann nicht verhindern, dass eine der
  //          deaktivierten Aktionen ber ein anderes PHP Script ausgefhrt
  //          wird, welches sich bspw. mit pWebFTP anlegen lsst.
  $readonly = array(

  );

  // Dateitypen Bezeichnung fr die Auflistung in der Exploreransicht
  //
  // Format: 'Dateierweiterung' => array('Bezeichnung', 'Symboldatei')
  $file_types = array(
    '7z'    => array('7Z-Archiv', '7z.gif'),
    'ace'   => array('ACE-Archiv', 'rar.gif'),
    'arj'   => array('ARJ-Archiv', 'rar.gif'),
    'avi'   => array('Videodatei', 'wmp.gif'),
    'bmp'   => array('Bitmap-Bild', 'bmp.gif'),
    'bz2'   => array('BZ2-Archiv', 'rar.gif'),
    'cab'   => array('CAB-Archiv', 'rar.gif'),
    'css'   => array('CSS-Dokument', 'txt.gif'),
    'db'    => array('Datenbankdatei', 'system.gif'),
    'doc'   => array('Microsoft Word-Dokument', 'doc.gif'),
    'exe'   => array('Anwendung', 'exe.gif'),
    'fon'   => array('Schriftartendatei', 'fon.gif'),
    'gif'   => array('GIF-Bild', 'img.gif'),
    'gz'    => array('GI-Archiv', 'rar.gif'),
    'htm'   => array('HTML-Dokument', 'html.gif'),
    'html'  => array('HTML-Dokument', 'html.gif'),
    'ini'   => array('Konfigurationseinstellungen', 'ini.gif'),
    'iso'   => array('ISO-Archiv', 'rar.gif'),
    'jar'   => array('JAR-Archiv', 'rar.gif'),
    'jpeg'  => array('JPEG-Bild', 'jpg.gif'),
    'jpg'   => array('JPEG-Bild', 'jpg.gif'),
    'js'    => array('JavaScript-Datei', 'js.gif'),
    'lzh'   => array('LZH-Archiv', 'rar.gif'),
    'mp3'   => array('Musikdatei (MP3)', 'sound.gif'),
    'mpg'   => array('Videodatei (MPEG)', 'wmp.gif'),
    'mpeg'  => array('Videodatei (MPEG)', 'wmp.gif'),
    'pdf'   => array('PDF-Dokument', 'pdf.gif'),
    'php'   => array('PHP-Dokument', 'txt.gif'),
    'png'   => array('PNG-Bild', 'img.gif'),
    'rar'   => array('RAR-Archiv', 'rar.gif'),
    'tar'   => array('TAR-Archiv', 'rar.gif'),
    'ttf'   => array('TrueTypen-Schriftartendatei', 'ttf.gif'),
    'txt'   => array('Textdokument', 'txt.gif'),
    'wma'   => array('Windows Media-Audiodatei', 'wmp.gif'),
    'xhtml' => array('XHTML-Dokument', 'html.gif'),
    'xls'   => array('Microsoft Excel-Arbeitsblatt', 'xls.gif'),
    'zip'   => array('ZIP-Archiv', 'zip.gif')
  );
  
  // Dateitypen mit Codeansicht und Bearbeitungsmodus (Textdateien)
  $files_texts = array(
    'css',
    'htm',
    'html',
    'ini',
    'js',
    'php',
    'php3',
    'php4',
    'php5',
    'txt'
  );
  
  // Dateitypen die bei der Codeansicht mit PHP Syntaxhighlighting versehen werden
  $files_phpsyn = array(
    'php',
    'php3',
    'php4',
    'php5'
  );
?>